install_mouse(3)

NAME
install_mouse - Installs the Allegro mouse handler.

SYNOPSIS
#include <allegro.h>

int install_mouse();

DESCRIPTION
Installs the Allegro mouse handler. You must do this before using any other mouse functions.

RETURN VALUE
Returns -1 on failure, zero if the mouse handler is already installed (in which case this function does nothing) and the number of buttons on the mouse if the mouse handler has successfully been installed (ie. this is the first time a handler is installed or you have removed the previous one). Note that the number of mouse buttons returned by this function is more an indication than a physical reality. With most devices there is no way of telling how many buttons there are, and any user can override the number of mouse buttons returned by this function with a custom configuration file and the variable num_buttons. Even if this value is overridden by the user, the global mouse variables will still report whatever the hardware is sending.

SEE ALSO
remove_mouse(3), poll_mouse(3), mouse_x(3), show_mouse(3), get_mouse_mickeys(3), position_mouse(3), set_mouse_range(3), set_mouse_speed(3)